<script lang="ts">
  import logo         from "./assets/svelte.png";
  import SectionAtom  from "./lib/atoms/SectionAtom.svelte";
  import AlgoTemplate from "./lib/templates/AlgoTemplate.svelte";
</script>

<header></header>
<main>
  <img src={logo} alt="Svelte Logo" />
  <h1>Hello AlgoRust!</h1>
  <SectionAtom id="algoCompare">
    <AlgoTemplate />
  </SectionAtom>
</main>
<footer></footer>

<style lang="scss">
  :root {
    font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen,
    Ubuntu, Cantarell, 'Open Sans', 'Helvetica Neue', sans-serif;
  }
  
  
  main {
    text-align: center;
    padding: 1em;
    margin: 0 auto;
  }
  
  
  img {
    height: 16rem;
    width: 16rem;
  }
  
  
  h1 {
    color: #ff3e00;
    text-transform: uppercase;
    font-size: 4rem;
    font-weight: 100;
    line-height: 1.1;
    margin: 2rem auto;
    max-width: 14rem;
  }
  
  
  @media (min-width: 480px) {
    h1 {
      max-width: none;
    }
  }
  
  
  :global(button) {
    font-family: inherit;
    font-size: inherit;
    padding: 1em 2em;
    color: #ff3e00;
    background-color: rgba(255, 62, 0, 0.1);
    border-radius: 2em;
    border: 2px solid rgba(255, 62, 0, 0);
    outline: none;
    font-variant-numeric: tabular-nums;
    cursor: pointer;
    margin: 0.3rem 1.2rem;
    
    &:disabled {
background-color: #eeeeee;
      color: #999999;
    }
    
    &:focus {
      border: 2px solid #ff3e00;
    }
    
    &:active {
      background-color: rgba(255, 62, 0, 0.2);
    }
  }
</style>
